# Interface AbstractPageGroup

interface AbstractPageGroup {
description?: string;
id?: number;
members: AbstractPageGroupMember[];
min_role: number;
name: string;
random_allocation: boolean;
}

#### Implemented by

- PageGroup

- Defined in model-abstracts/abstract_page_group.ts:6

##### Index

### Properties

description?
id?
members
min_role
name
random_allocation

## Properties

### `Optional` description

description?: string

- Defined in model-abstracts/abstract_page_group.ts:9

### `Optional` id

id?: number

- Defined in model-abstracts/abstract_page_group.ts:7

### members

members: AbstractPageGroupMember[]

- Defined in model-abstracts/abstract_page_group.ts:10

### min_role

min_role: number

- Defined in model-abstracts/abstract_page_group.ts:11

### name

name: string

- Defined in model-abstracts/abstract_page_group.ts:8

### random_allocation

random_allocation: boolean

- Defined in model-abstracts/abstract_page_group.ts:12